View Issue Details

IDProjectCategoryView StatusLast Update
0000700SymmetricDSBugpublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0.7 
Target Version3.0.10Fixed in Version3.0.10 
Summary0000700: StackOverflowError when filtering data during initial load
DescriptionThere is a recursive loop that requires a bigger thread stack (-Xss256m) when a lot of data is filtered out of an initial load. A big table in the initial load that relies on the router to filter out data instead of providing an initial_load_select will cause this. If this is the case, then it would probably be more efficient to use an initial_load_select; however, we should not have recursive code.

java.lang.StackOverflowError
    at org.jumpmind.symmetric.csv.CsvReader.<init>(CsvReader.java:170)
    at org.jumpmind.symmetric.csv.CsvReader.<init>(CsvReader.java:191)
    at org.jumpmind.symmetric.io.data.CsvUtils.getCsvReader(CsvUtils.java:46)
    at org.jumpmind.symmetric.io.data.CsvData.getParsedData(CsvData.java:189)
    at org.jumpmind.symmetric.model.Data.toParsedRowData(Data.java:69)
    at org.jumpmind.symmetric.route.AbstractDataRouter.getNewDataAsString(AbstractDataRouter.java:83)
    at org.jumpmind.symmetric.route.AbstractDataRouter.getDataMap(AbstractDataRouter.java:61)
    at org.jumpmind.symmetric.route.LookupTableDataRouter.routeToNodes(LookupTableDataRouter.java:70)
    at org.jumpmind.symmetric.service.impl.RouterService.shouldDataBeRouted(RouterService.java:116)
    at org.jumpmind.symmetric.service.impl.DataExtractorService$SelectFromTableSource.next(DataExtractorService.java:886)
    at org.jumpmind.symmetric.service.impl.DataExtractorService$SelectFromTableSource.next(DataExtractorService.java:889)
    at org.jumpmind.symmetric.service.impl.DataExtractorService$SelectFromTableSource.next(DataExtractorService.java:889)
    at org.jumpmind.symmetric.service.impl.DataExtractorService$SelectFromTableSource.next(DataExtractorService.java:889)

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master d208fb7d

2012-07-18 20:54:57

chenson

Details Diff
0000700: StackOverflowError when filtering data during initial load
0000700
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

Issue History

Date Modified Username Field Change
2012-07-10 16:23 chenson New Issue
2012-07-10 16:23 chenson Status new => assigned
2012-07-10 16:23 chenson Assigned To => chenson
2012-07-18 20:54 chenson Fixed in Version => 3.0.10
2012-07-18 20:54 chenson Target Version 3.1.0 => 3.0.10
2012-07-18 20:54 chenson Status assigned => resolved
2012-07-18 20:54 chenson Resolution open => fixed
2012-07-23 16:02 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6044
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master d208fb7d